package com.sifang.modules.customer.excel;

import com.sifang.modules.sys.util.excel.ExcelField;

import javax.persistence.ManyToOne;
public class MaterialExcel {
    private Integer sort;
    private String code;
    private String name;
    private String spec;
    private String unit;
    private Integer amount;

    private String componentSpec;

    @ManyToOne
    @ExcelField(title="排序", align=2, sort=1)
    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    @ManyToOne
    @ExcelField(title="料号", align=2, sort=2)
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @ManyToOne
    @ExcelField(title="名称", align=2, sort=3)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @ManyToOne
    @ExcelField(title="规格", align=2, sort=4)
    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    @ManyToOne
    @ExcelField(title="单位", align=2, sort=5)
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @ManyToOne
    @ExcelField(title="数量", align=2, sort=6)
    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }
    @ManyToOne
    @ExcelField(title="组件规格", align=2, sort=7)
    public String getComponentSpec() {
        return componentSpec;
    }

    public void setComponentSpec(String componentSpec) {
        this.componentSpec = componentSpec;
    }
}
